Kwalitee Issues

no_pod_errors

Remove the POD errors. You can check for POD errors automatically by including Test::Pod to your test suite.

Error: *** ERROR: unresolved internal link 'XCreateWindow' at line 501 in file X11-Xlib-0.09_03/lib/X11/Xlib/Display.pm *** ERROR: unresolved internal link 'buffer' at line 18 in file X11-Xlib-0.09_03/lib/X11/Xlib/XEvent.pm *** ERROR: unresolved internal link 'buffer' at line 32 in file X11-Xlib-0.09_03/lib/X11/Xlib/XEvent.pm *** ERROR: unresolved internal link 'VisualInfo' at line 571 in file X11-Xlib-0.09_03/lib/X11/Xlib.pm *** ERROR: unresolved internal link 'XSetWindowAttributes' at line 578 in file X11-Xlib-0.09_03/lib/X11/Xlib.pm *** ERROR: unresolved internal link 'XID' at line 790 in file X11-Xlib-0.09_03/lib/X11/Xlib.pm

use_strict

Add 'use strict' (or its equivalents) to all modules, or convince us that your favorite module is well-known enough and people can easily see the modules are strictly written.

Error: X11::Xlib::Visual, X11::Xlib::XEvent, X11::Xlib::XSetWindowAttributes, X11::Xlib::XSizeHints, X11::Xlib::XVisualInfo

meta_yml_declares_perl_version

If you are using Build.PL define the {requires}{perl} = VERSION field. If you are using MakeMaker (Makefile.PL) you should upgrade ExtUtils::MakeMaker to 6.48 and use MIN_PERL_VERSION parameter. Perl::MinimumVersion can help you determine which version of Perl your module needs.

meta_yml_has_license

Define the license if you are using in Build.PL. If you are using MakeMaker (Makefile.PL) you should upgrade to ExtUtils::MakeMaker version 6.31.

use_warnings

Add 'use warnings' (or its equivalents) to all modules (this will require perl > 5.6), or convince us that your favorite module is well-known enough and people can easily see the modules warn when something bad happens.

Error: X11::Xlib::Visual, X11::Xlib::XEvent, X11::Xlib::XSetWindowAttributes, X11::Xlib::XSizeHints, X11::Xlib::XVisualInfo

has_separate_license_file

This is not a critical issue. Currently mainly informative for the CPANTS authors. It might be removed later.

meta_yml_has_provides

Add all modules contained in this distribution to the META.yml field 'provides'. Module::Build or Dist::Zilla::Plugin::MetaProvides do this automatically for you.

meta_yml_has_repository_resource

Add a 'repository' resource to the META.yml via 'meta_add' accessor (for Module::Build) or META_ADD parameter (for ExtUtils::MakeMaker).

Modules

Name Abstract Version View
X11::Xlib Low-level access to the X11 library 0.09_03 metacpan
X11::Xlib::Colormap metacpan
X11::Xlib::Display metacpan
X11::Xlib::Pixmap metacpan
X11::Xlib::Screen metacpan
X11::Xlib::Struct metacpan
X11::Xlib::Visual metacpan
X11::Xlib::Window Low-level access to X11 windows metacpan
X11::Xlib::XEvent metacpan
X11::Xlib::XID Base class for objects wrapping an XID metacpan
X11::Xlib::XSetWindowAttributes metacpan
X11::Xlib::XSizeHints metacpan
X11::Xlib::XVisualInfo metacpan

Other Files

Changes metacpan
MANIFEST metacpan
META.json metacpan
META.yml metacpan
Makefile.PL metacpan
README metacpan